@charset "utf-8";
/* CSS Document */

body{
	margin:0;
	padding:0;
	background-image: url("Backgrounds/Dottedbackground2.jpg");
	background-position:center;
	background-attachment: fixed;
	background-repeat: no-repeat;
	background-size: cover;
	
}

#wrapper{
	position:absolute;
	top:0;
	left:0;
	width:100%;
}

.announcement{
	position:absolute;
	top:175px;
	left:15px;
	width:35%;
	z-index:999999;
	display: none;
}

.homelogo{
	position:absolute;
	top:5px;
	left:1%;
	width:6.5%;
}

.header{
	position:relative;
	margin:0 auto;
	width:100%;
	height:140px;
}

.phone{
	position:absolute;
	top:55px;
	right:30px;
	width:10%;
	padding:10px;
	text-align: center;
	font-family: 'Roboto', sans-serif;
	background-color: #f16361;
	color:#FFFFFF;
	z-index: 9999;
}

nav{
	position:absolute;
	top:55px;
	left:20%;
	width:60%;
	z-index: 999999;
	text-align:left; 
}


.menu a{
	position: relative;
	top:0;
	left:0;
	text-decoration:none;
	background-color:#222222;
	color:#efefef; 
	font-family: 'Montserrat', sans-serif;
	font-size:1em; 
	font-weight:600;
	display:block;
	transition: all .5s ease;
	z-index: 8; 
}
.menu a:hover{
	background: #555555;
			color:#EFEFEF; 
			z-index: 8;
			opacity:1; 
}

.menu ul li{
	position: relative;
	left: 0%; 
	float:center;
	width:250px;
	height:40px;
	background-color:transparent;	
	line-height:40px;
	text-align: center;
	list-style-type: none;
	border: none;
	margin:0 8px 0 0;
	z-index: 8;
}

ul{
	margin:0px;
	padding:0px;
	z-index: 9999;
}
	
ul li{
	float:left;
	width:250px;
	height:40px;
	background-color:transparent;	
	line-height:40px;
	text-align: center;
	list-style-type: none;
	border: none;
	margin:0 8px 0 0;
	z-index: 8;
		 
} 
	
		ul li a{
			text-decoration:none;
			color:#111111; 
			font-family: 'Montserrat', sans-serif;
			font-size:.9em; 
			font-weight:600;
			display:block;
			transition: all .5s ease;
			z-index: 8; 
		}

  
	
		ul li a:hover{ 
			background: #FFFFFF;
			color:#888888; 
			z-index: 8;
			opacity:1;
			border: none; 
			transition: all .5s ease;
		}
	
		ul li ul li{display:none; transition: all .5s ease;}
	
		ul li:hover ul li{display:block; width:250px; text-align: center; background: #111111;  }
		ul li:hover #locations{display:block; width:250px; text-align: center; background: #555555; color:#efefef;  }
		 
		ul li:hover ul li a{color:#EFEFEF;  }

.background{
	position:relative;
	margin:0 auto;
	width:100%;
	height:650px;
	border-bottom:3px solid #222;
	border-top:5px solid #222;
	background-image: url("Backgrounds/DeskWaipahuNew.jpg");
	background-position: center;
	background-attachment: scroll;
	background-repeat: no-repeat;
	background-size:cover;
	display: flex;
}

.background h1{
	position:relative;
	margin:auto;
	font-family: 'Comic Relief', sans-serif;
	font-size:4em;
	color: #FFF;
	letter-spacing: 4px;
	text-shadow: 2px 2px 3px #000000;
}

.homecontent{
	position:relative;
	margin:75px auto;
	width:80%;
	text-align: center;
}

.homecontent a:link{text-decoration: none;}

.homecontent h2{
	position:relative;
	margin:auto;
	font-family: 'Roboto', sans-serif;
	font-size:2em;
	color: #222;
	letter-spacing: 1px; 
}

.homecontent h3{
	position:relative;
	margin:auto;
	font-family: 'Roboto', sans-serif;
	font-size:1.2em;
	color: #222;
	letter-spacing: 1px; 
}


.homecontent p{
	position:relative;
	margin:auto;
	font-family: 'Roboto', sans-serif;
	font-size:1em;
	color: #222222;
	letter-spacing: 
}



.homeflex{
	position:relative;
	margin:40px auto;
	width:100%;
	display: flex;
	justify-content: space-between;
	gap:20px;
}

.homebox{flex-basis:33%;}

.boxbtn{
	position:relative;
	margin:20px auto;
	width:40%;
	padding:8px;
	text-align:center;
	text-decoration:none;
	font-family: 'Roboto', sans-serif;
	font-size: 1em;
	color:#EFEFEF;
	background-color: #f26462;
	transition: all .4s ease;
	border: 1px solid #f26462;
}

.boxbtn:hover{
	background-color: #222222;
	color:#EFEFEF;
	border:1px solid  #f26462;
}

.menuflex{
	position:relative;
	margin:0 auto;
	width:100%;
	display: flex;
	justify-content: space-between;
	gap:30px;
}

.menuboxleft{flex-basis:30%;}
.menuboxright{flex-basis:70%;}

.footer{
	position:relative;
	bottom:0;
	left:0;
	width:100%;
	height:350px;background: #B0211D;
background: #B0211D;
background: linear-gradient(0deg, rgba(176, 33, 29, 1) 100%, rgba(115, 9, 6, 0) 100%);
}

.footer img{width:7%; margin:0 10px;}

.footer a:link{text-decoration: none; color:aqua;}
.footer a:visited{text-decoration: none; color:aqua;}

.footerflex{
	position:relative;
	margin:25px auto;
	padding-top:50px;
	width:80%;
	display: flex;
	justify-content: space-between;
	gap:30px;
	align-items: center;
}

.footer p{
	font-family: 'Roboto', sans-serif;
	font-size: 1em;
	color:#EFEFEF;
}

.footerbox{flex-basis:50%;}

/*CSS for menu page*/

.subbkgrnd{
	position:relative;
	margin: 0 auto;
	width: 100%;
	height:400px;
	border-top:3px solid black;
	border-bottom: 5px solid black;
	display: flex;
}

.subbkgrnd h1{
	position:relative;
	margin:auto;
	font-family: 'Comic Relief', sans-serif;
	font-size:4em;
	color: #FFF;
	letter-spacing: 4px;
	text-shadow: 2px 2px 3px #000000;
}


#menu{
	background-image:url("Backgrounds/aimmenudesk4.jpg");
	background-position:top,left;
	background-attachment: scroll;
	background-repeat: no-repeat;
	background-size:cover;
}

.subcontent{
	position:relative;
	margin:100px auto;
	width:100%;
}

.text{
	position: relative;
	margin:0 auto;
	width:80%;
	text-align:center;
}

.subcontent h2{
	position:relative;
	margin:auto;
	font-family: 'Roboto', sans-serif;
	font-size:1.2em;
	color: #222;
	letter-spacing: 1px; 
}


.subcontent p{
	position:relative;
	margin:auto;
	font-family: 'Roboto', sans-serif;
	font-size:1em;
	color: #222222;
	letter-spacing: 
}

.buildyourown{
	position:relative;
	margin:0 auto;
	width:60%;
	padding-bottom:100px;
}

.buildyourown h3{
	position:relative;
	margin:auto;
	font-family: 'Roboto', sans-serif;
	font-size:1em;
	color: #222;
	letter-spacing: 1px; 
}


.buildyourown p{
	position:relative;
	margin:auto;
	font-family: 'Roboto', sans-serif;
	font-size:1em;
	color: #222222;
	letter-spacing: 
}


.buildflex{
	
	position:relative;
	margin:0 auto;
	width:100%;
	display: flex;
	justify-content: space-between;
	gap:20px;
}

.buildbox{
	height:400px; 
	flex-basis:50%;
	background-color:#BDBABA;
	display: flex;
	border: 4px solid black;
}

.textbox{
	position:relative;
	margin:auto;
	width:80%;
	
}

/*End CSS for menu page*/

/*CSS for contact page*/

#contact{
	background-image:url("Backgrounds/contactDesk.jpg");
	background-position:top,left;
	background-attachment: scroll;
	background-repeat: no-repeat;
	background-size:cover;
}


/*End CSS for contact page*/

#sidebar{display: none;}

@media screen and (max-width:1680px){
	
nav{	 
	top:55px;
	left:20%;
	width:65%; 
}

	
.homelogo{
	position:absolute;
	top:5px;
	left:1%;
	width:7.5%;
}
	
	
}


@media screen and (max-width:1600px){
	
.background{
	position:relative;
	margin:0 auto;
	width:100%;
	height:550px; 
}
	
nav{ 
	top:55px;
	left:16%;
	width:70%; 
}


	
}

@media screen and (max-width:1440px){
	
.homelogo{
	position:absolute;
	top:5px;
	left:1%;
	width:9%;
}
	
nav{ 
	top:55px;
	left:19%;
	width:70%; 
}
	
	.menu ul li{width:200px;}
	.menu ul li:hover #locations{width:200px;}
	ul li:hover ul li{width:200px;}
	
	
}

@media screen and (max-width:1366px){
	
	.homelogo{
	position:absolute;
	top:5px;
	left:1%;
	width:9.5%;
}

	
	.announcement{
	position:absolute;
	top:430px;
	left:15px;
	width:33%;
	z-index:999999;		
}

	
	.background{height:450px;}	
nav{ 
	top:55px;
	left:19%;
	width:70%; 
}
	
	.menu ul li{width:200px;}
	.menu ul li:hover #locations{width:200px;}
	ul li:hover ul li{width:200px;}
	
.background h1{
	position:relative;
	margin:auto;
	font-family: 'Comic Relief', sans-serif;
	font-size:3em;
	color: #FFF;
	letter-spacing: 4px;
	text-shadow: 2px 2px 3px #000000;
}


	
}

@media screen and (max-width:1280px){
	
.homelogo{
	position:absolute;
	top:5px;
	left:1%;
	width:10%;
}

	
	.announcement{
	position:absolute;
	top:400px;
	left:15px;
	width:33%;
	z-index:999999;		
}

	
	.background{height:350px;}	
nav{ 
	top:55px;
	left:19%;
	width:60%; 
}
	.menu ul li a{font-size: .9em;}
	.menu ul li{width:165px;}
	.menu ul li:hover #locations{width:165px;}
	ul li:hover ul li{width:165px;}
	
.background h1{
	position:relative;
	margin:auto;
	font-family: 'Comic Relief', sans-serif;
	font-size:3em;
	color: #FFF;
	letter-spacing: 4px;
	text-shadow: 2px 2px 3px #000000;
}
	
.footer p{
	font-family: 'Roboto', sans-serif;
	font-size: .9em;
	color:#EFEFEF;
}
	
}

@media screen and (max-width:1180px){
	
.homelogo{
	position:absolute;
	top:5px;
	left:1%;
	width:11%;
}
	
	
}

@media screen and (max-width:1024px){
	
.homelogo{
	position:absolute;
	top:5px;
	left:1%;
	width:12%;
}
	
nav{ 
	top:55px;
	left:19%;
	width:70%; 
}
	.menu ul li a{font-size: .8em;}
	.menu ul li{width:145px;}
	.menu ul li:hover #locations{width:145px;}
	ul li:hover ul li{width:145px;}

	
	
}

@media screen and (max-width:820px){
	
.homelogo{ 
	top:5px;
	left:1px;
	width:9%;
}
	
.phone{ 
	top:15px;
	right:30px;
	width:15%;
	padding:10px; 
}

	
nav{ 
	top:85px;
	left:13%;
	width:75%; 
}
	.menu ul li a{font-size: .8em;}
	.menu ul li{width:145px;}
	.menu ul li:hover #locations{width:145px;}
	ul li:hover ul li{width:145px;}

.background h1{font-size: 2.4em;}
	
	
}

@media screen and (max-width:768px){
	
.homelogo{ 
	top:5px;
	left:1px;
	width:9%;
}
	
.phone{ 
	top:15px;
	right:30px;
	width:15%; 
}

	

nav{ 
	top:85px;
	left:13%;
	width:80%; 
}
	.menu ul li a{font-size: .8em;}
	.menu ul li{width:145px;}
	.menu ul li:hover #locations{width:145px;}
	ul li:hover ul li{width:145px;}
.background h1{font-size: 2em;}	
	
	
}




@media screen and (max-width:732px){
	
	.announcement{
	position:absolute;
	top:375px;
	left:15px;
	width:90%;
	border: 1px solid black;
	z-index:999999;
	display: none;
}

	
	.menu{display: none;}
	.homelogo{top:10px; width:25%;}
	.background h1{font-size: 1.6em; width:80%; text-align:center;}
	.phone{ 
	top:85px;
	right:33%;
	width:30%; 
	z-index: 99999999;
}
	
	.homeflex{
		flex-direction: column;
	}
	
	.buildflex{flex-direction: column;}

	
#sidebar{
	display:block;
	background:#333333;
	position:fixed;
	width:200px;
	left:-200px;
	top:0; 
	opacity:.90;
	height:100%;
	transition: left 0.3s linear;
	z-index: 999999999;
}
			
#sidebar.visible{
	left:0;
	transition: left 0.3s linear;
}
		
#sidebar-btn{
	display:inline-block;
	vertical-align:middle;
	width:40px;
	height:15px;
	cursor:pointer;
	margin:20px;
	position:fixed;
	top:45px;
	right:15px;
	z-index: 999999;
}
			
#sidebar-btn span{
	height:3px;
	background:#222222;
	margin-bottom:5px;
	display: block;
}
	
#sidebar-btn span:nth-child(2){width:75%;}
#sidebar-btn span:nth-child(3){width:60%;}
	
ul{
	margin:0;
	padding:0;				
}
		
ul li{list-style:none; padding-top:10px;}
		
ul li a{
	font-family: 'Roboto', sans-serif;
	font-size:1em;
	color:#FFFFFF;
	border-bottom:.25px solid #FFFFFF;
	display:block;
	width:152px;
	padding:15px 0 15px 10px;
	text-decoration:none;				
}
	
	.footer img{width:12%;}
	
	
	#menu{
	background-image:url("Backgrounds/aimmenudesk4.jpg");
	background-position:top,right;
	background-attachment: scroll;
	background-repeat: no-repeat;
	background-size:cover;
}

	
	
	
	
}



























